Name: ncurses
Version: 6.0
Release: 2
License: X11
Summary: "new" curses library
Url: http://invisible-island.net/ncurses

BuildRequires: libtool

Source0: ftp://ftp.gnu.org/gnu/ncurses/ncurses-%{version}.tar.gz

%description
Open source curses programming interface and terminal info (terminfo/termcap) database.

%package tools
Summary: ncurses library

%description tools
ncurses utilities

%package terminfo
Summary: terminal info database

%description terminfo
terminal info database

%package -n libncurses6
Summary: ncurses library
Requires: ncurses-terminfo

%description -n libncurses6
ncurses libraries

%package devel
Summary: ncurses development files
Requires: libncurses6 = %{version}

%description devel
ncurses development files


%prep
%setup -q

%build

%define reconf 0
%define soname_aix 0

%if %{reconf}
autoreconf -fi
%endif

# TODO: svr4 soname

%if %{reconf} == 0
./configure \
  --prefix=%{_prefix} \
%else
%configure \
%endif
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
%if %{reconf} == 0
  --host=powerpc-ibm-aix6 \
%endif
%if %{soname_aix}
  --with-aix-soname=svr4 \
%endif
  --disable-overwrite \
  --without-ada \
  --without-normal \
  --without-debug \
  --with-shared \
  --enable-hard-tabs \
  --enable-xmc-glitch \
  --enable-colorfgbg \
  --disable-static \
  --with-libtool \
#   --enable-shared \
#   --disable-static \
#   --disable-dependency-tracking \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files tools
%defattr(-, qsys, *none)

%{_bindir}/captoinfo
%{_bindir}/clear
%{_bindir}/infocmp
%{_bindir}/infotocap
%{_bindir}/ncurses6-config
%{_bindir}/reset
%{_bindir}/tabs
%{_bindir}/tic
%{_bindir}/toe
%{_bindir}/tput
%{_bindir}/tset

%{_mandir}/man1/captoinfo.1m
%{_mandir}/man1/clear.1
%{_mandir}/man1/infocmp.1m
%{_mandir}/man1/infotocap.1m
%{_mandir}/man1/ncurses6-config.1
%{_mandir}/man1/reset.1
%{_mandir}/man1/tabs.1
%{_mandir}/man1/tic.1m
%{_mandir}/man1/toe.1m
%{_mandir}/man1/tput.1
%{_mandir}/man1/tset.1

%files -n libncurses6
%defattr(-, qsys, *none)

%{_libdir}/libform.so.6
%{_libdir}/libmenu.so.6
%{_libdir}/libncurses.so.6
%{_libdir}/libpanel.so.6


%files terminfo
%defattr(-, qsys, *none)

%{_libdir}/terminfo

%{_datadir}/tabset
%{_datadir}/terminfo

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libform.so
%{_libdir}/libmenu.so
%{_libdir}/libncurses.so
%{_libdir}/libpanel.so

%{_includedir}/ncurses

%{_mandir}/man3/*.3*


%changelog
